Katello - Bug #6624

Ul throws 500 ISE in production.log while installing a package one after another
07/15/2014 02:35 PM - Brad Buckingham
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105617

Description of problem:

We need to handle the case when required lock is already taken by a task.

Ul should throw proper error message. Like | tried to install a package on remote machine via Ul and somehow | double clicked the
pakage install button.

And production.log thrown a long exception with 500 internal server error. Hpwever | didn't see any error on Ul.

Later | tried to install another package when install for one package is already on-going. And this time too | found same error in
production.log and no change on Ul. Neither the package install button submitted nor any error raised on UL.

log snippet from production.log:

Processing by Katello::Api::V2::SystemPackagesController#install as JSON

Parameters: {"uuid"=>"50415ba8-6cad-4784-8672-565¢c9dec6b52", "packages"=>["ksh"], "api_version"=>"v2",
"system_id"=>"50415ba8-6cad-4784-8672-565c9dec6b52",
"system_package"=>{"uuid"=>"50415ba8-6cad-4784-8672-565c9dec6b52", "packages"=>["ksh"]}}

Required lock is already taken by other running tasks.

Please inspect their state, fix their errors nad resume them.

Required lock: read

Conflicts with tasks:

- https://dhcp207-55.1ab.eng.png.redhat.com/foreman_tasks/tasks/Oef16a7f-e183-44cc-9e74-bad39adfeecae
(ForemanTasks::Lock::LockConflict)

Version-Release number of selected component (if applicable):
sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0).

How reproducible:
always

Steps to Reproduce:

1. register client with sat6 server

2. install package on remote client from Ul
3. re-triger install package

4. see production.log

Actual results:

Expected results:
Ul should throw proper error on Ul when lock is taken by a task and there shouldn't be ISE in poduction.log

Additional info:
Revision 97e5985f - 07/15/2014 02:37 PM - Brad Buckingham

fixes #6624 / BZ 1105617 - content host package actions - disable buttons when busy
This commit contains a minor change to disable the ability to initiate a new action,
until the current action has been accepted (202) by the server. The most common

use case for this is if the user were to double-click the 'Perform’, 'Update All'
or '(X)' items in the UL.

Without this change, the user might observe an error like the following in the log:

ForemanTasks::Lock::LockConflict: Required lock is already taken by other running tasks.

In spite of the above error, the user could later go back and re-execute a new request.

Revision 3b68ca75 - 07/15/2014 02:37 PM - Brad Buckingham

fixes #6624 / BZ 1105617 - content host package actions - disable buttons when busy
This commit contains a minor change to disable the ability to initiate a new action,
until the current action has been accepted (202) by the server. The most common

use case for this is if the user were to double-click the 'Perform’, 'Update All'
or '(X)' items in the Ul.

Without this change, the user might observe an error like the following in the log:

ForemanTasks::Lock::LockConflict: Required lock is already taken by other running tasks.

In spite of the above error, the user could later go back and re-execute a new request.

Revision db044854 - 07/16/2014 09:55 AM - Brad Buckingham

Merge pull request #4430 from bbuckingham/issue-6624

fixes #6624 / BZ 1105617 - content host package actions - disable buttons when busy
Revision 73b114ae - 07/16/2014 09:55 AM - Brad Buckingham

Merge pull request #4430 from bbuckingham/issue-6624

fixes #6624 / BZ 1105617 - content host package actions - disable buttons when busy

History

#1 - 07/15/2014 02:36 PM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/15/2014 02:45 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4430 added
- Pull request deleted ()

#3 - 07/16/2014 10:02 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|97e5985fee33afaff205720635e801d131be9643.

#4 - 08/22/2014 09:03 AM - Eric Helms

- translation missing: en.field_release set to 13
